Package com.sas.services.mgmt

# Class ServiceNotificationBroadcaster

java.lang.Object
com.sas.services.mgmt.ServiceNotificationBroadcaster

All Implemented Interfaces:
  `ServiceNotificationBroadcasterInterface`, `Serializable`, `Remote`

public class ServiceNotificationBroadcaster extends Object implements ServiceNotificationBroadcasterInterface, Serializable
Service notification broadcaster. Observers interested in receiving notifications about changes to a service may register themselves with this notification broadcaster.

Since:
  1.0
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ServiceNotificationBroadcaster()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final void`
  `addServiceObserver(ServiceRemoteObserverInterface serviceObserver)`
  Adds a service observer.
  `final void`
  `notifyServiceObservers(ServiceEvent serviceEvent)`
  Notify all registered service observers of the specified service event.
  `final void`
  `removeAllServiceObservers()`
  Removes all service observers.
  `final void`
  `removeServiceObserver(ServiceRemoteObserverInterface serviceObserver)`
  Removes a service observer.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ServiceNotificationBroadcaster

    public ServiceNotificationBroadcaster()

- ## Method Details

  - ### addServiceObserver

    public final void addServiceObserver(ServiceRemoteObserverInterface serviceObserver)
    Adds a service observer.
    Specified by:
      `addServiceObserver` in interface `ServiceNotificationBroadcasterInterface`
    Parameters:
      `serviceObserver` - An observer interested in receiving service notifications.

  - ### removeServiceObserver

    public final void removeServiceObserver(ServiceRemoteObserverInterface serviceObserver)
    Removes a service observer.
    Specified by:
      `removeServiceObserver` in interface `ServiceNotificationBroadcasterInterface`
    Parameters:
      `serviceObserver` - An observer no longer interested in receiving service notifications.

  - ### removeAllServiceObservers

    public final void removeAllServiceObservers()
    Removes all service observers.
    Specified by:
      `removeAllServiceObservers` in interface `ServiceNotificationBroadcasterInterface`

  - ### notifyServiceObservers

    public final void notifyServiceObservers(ServiceEvent serviceEvent)
    Notify all registered service observers of the specified service event.
    Specified by:
      `notifyServiceObservers` in interface `ServiceNotificationBroadcasterInterface`
    Parameters:
      `serviceEvent` - Service event to be broadcast to all registered service observers.